<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Especialidade extends CI_Controller
{
    public function index()
    {
        $this->load->model('Especialidade_model');
        $especialidades = $this->Especialidade_model->find();

        $this->view('especialidades.index', [
            'especialidades' => $especialidades
        ]);
    }

    public function registrar()
    {
        $this->load->model([
            'Especialidade_model',
        ]);

        if (!empty($_POST)) {
            $especialidade = [
                'nome' => $_POST['nome']
            ];

            $this->Especialidade_model->insert($especialidade);

            redirect('especialidade');
        }

        $this->view('especialidades.register');
    }

    public function alterar($id)
    {
        $this->load->model([
            'Especialidade_model',
        ]);

        if (!empty($_POST)) {
            $especialidade = [
                'nome' => $_POST['nome']
            ];

            $this->Especialidade_model->update($id, $especialidade);

            redirect('especialidade');
        }

        $especialidade = $this->Especialidade_model->find($id);

        $this->view('especialidades.update', [
            'especialidade' => $especialidade
        ]);
    }

    public function deletar($id)
    {
        $this->load->model('Especialidade_model');
        $this->Especialidade_model->delete($id);
        redirect('especialidade');
    }
}